const hapi = require("./hapi");

module.exports = yargs => yargs.command({
  command: 'whoami',
  desc: 'Who am i?',
  handler: hapi(async (api, {token}) => Object.assign(
    await api.auth.whoami(), {host: api.host}, token ? {token: await api.socket.token().then(({data}) => data)} : {}
  )),
  builder: yargs => yargs.option("token", {
    boolean: true,
    desc:
      "get token",
    default: false
  })
})
